List check profiles
GET
/api/v1/data-source-groups
const url = 'https://app.hostrepute.com/api/v1/data-source-groups?page=1&per_page=15';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.hostrepute.com/api/v1/data-source-groups?page=1&per_page=15' \ --header 'Authorization: Bearer <token>'List your team’s check profiles, 15 per page by default.
Needs the data-source-group:read ability.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
The page to return, starting at 1.
integer
The page to return, starting at 1.
Example
1per_page
How many items to return per page, from 1 to 100. Defaults to 15.
integer
How many items to return per page, from 1 to 100. Defaults to 15.
Example
15Responses
Section titled “Responses”Media typeapplication/json
object
data
Array<object>
object
uuid
string
name
string
slug
string
description
string
is_default
boolean
deliverability_checks_enabled
boolean
deliverability_checks
Array<string>
created_at
string
updated_at
string
links
object
first
string
last
string
prev
string
next
string
meta
object
current_page
integer
from
integer
last_page
integer
links
Array<object>
object
url
string
label
string
page
string
active
boolean
path
string
per_page
integer
to
integer
total
integer
Example
{ "data": [ { "uuid": "01a178db-d581-700d-9729-4f4abc8cee72", "name": "Default", "slug": "default", "description": "All production domains", "is_default": true, "deliverability_checks_enabled": true, "deliverability_checks": [ "mx_health", "spf_record", "spf_strict", "spf_lookup_limit", "dmarc_record", "dmarc_strict" ], "created_at": "2026-07-14T09:12:44.000000Z", "updated_at": "2026-09-02T14:05:31.000000Z" }, { "uuid": "01a178db-d7b1-7394-ae88-b7a0aac5eaa4", "name": "Marketing IPs", "slug": "marketing-ips", "description": "Sending IPs for newsletters", "is_default": false, "deliverability_checks_enabled": true, "deliverability_checks": [ "reverse_dns", "forward_confirmed_reverse_dns", "generic_ptr", "ptr_hostname_format" ], "created_at": "2026-07-20T11:40:09.000000Z", "updated_at": "2026-07-20T11:40:09.000000Z" } ], "links": { "first": "https://app.hostrepute.com/api/v1/data-source-groups?page=1", "last": "https://app.hostrepute.com/api/v1/data-source-groups?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "« Previous", "page": null, "active": false }, { "url": "https://app.hostrepute.com/api/v1/data-source-groups?page=1", "label": "1", "page": 1, "active": true }, { "url": null, "label": "Next »", "page": null, "active": false } ], "path": "https://app.hostrepute.com/api/v1/data-source-groups", "per_page": 15, "to": 2, "total": 2 }}
